Download it now!
Bug 133855 - CALC crashed when choosing item from a dropdown list with condition formating
Summary: CALC crashed when choosing item from a dropdown list with condition formating
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.0.0.0.beta1+
Hardware: x86-64 (AMD64) All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.1.0 target:7.0.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-06-10 11:15 UTC by surbun
Modified: 2020-06-22 13:52 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
File to illustrate the bug (8.96 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-06-10 11:16 UTC, surbun
Details
Backtrace of crash (12.96 KB, text/plain)
2020-06-14 16:30 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description surbun 2020-06-10 11:15:16 UTC
Description:
When an item is chosen in a dropdown list with a condition formating, CALC crashes

Steps to Reproduce:
1. Open a new file in CALC
2. Creat a validation list
3. Apply a condition formating to the cell
4. Choose an iten from the doopdown list
5. CALC crashes

Actual Results:
CALC crashes

Expected Results:
CALC does not crash at all (as in the 6.4.3.2 version)


Reproducible: Always


User Profile Reset: Yes



Additional Info:
The same thing happen in the LibO 7.1 dev version
Comment 1 surbun 2020-06-10 11:16:39 UTC
Created attachment 161831 [details]
File to illustrate the bug

When an item is chosen in a dropdown list with a condition formating, CALC crashes
Comment 2 Roman Kuznetsov 2020-06-10 14:53:13 UTC
Confirm in

Version: 7.0.0.0.beta1+ (x64)
Build ID: c46a704943be830d603ba0421a329ccb58b8b209
CPU threads: 4; OS: Windows 10.0 Build 18362; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: en-US
Calc: threaded

doesn't matter enabled/disabled Skia

but no crash in

Версия: 6.2.4.2
ID сборки: 2412653d852ce75f65fbfa83fb7e7b669a126d64
Потоков ЦП: 4; ОС:Windows 10.0; Отрисовка ИП: по умолчанию; VCL: win; 
Локаль: ru-RU (ru_RU); Язык UI: ru-RU
Calc: threaded

so it's a regression
Comment 3 Buovjaga 2020-06-13 15:34:52 UTC
Bibisected with Linux 6.5 repo to https://git.libreoffice.org/core/+/df50b02cd3177570bb26484a03273ba5caa50037%5E!/
weld ScFilterListBox

Adding Cc: to Caolán McNamara
Comment 4 Commit Notification 2020-06-13 20:08:48 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/41c465b5ee443ec04441077b5eb80f263336ea8a

tdf#133855 return early if disposed by FilterSelect

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-06-13 20:08:58 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/6f38d973991a55be8fc588d025a47a36b08eaf92

tdf#133855 return early if disposed by FilterSelect

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Buovjaga 2020-06-14 16:30:25 UTC
Created attachment 161992 [details]
Backtrace of crash

Still crashes for me with the commit :(

Arch Linux 64-bit
Version: 7.1.0.0.alpha0+
Build ID: e43d8d0f91b6949fa3914d034f9b9c166740afcf
CPU threads: 8; OS: Linux 5.7; UI render: default; VCL: kf5
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 14 June 2020
Comment 7 Caolán McNamara 2020-06-14 17:25:43 UTC
follow up fix for tdf#133971 might clear that too, hold...
Comment 8 Buovjaga 2020-06-15 12:58:34 UTC
(In reply to Caolán McNamara from comment #7)
> follow up fix for tdf#133971 might clear that too, hold...

Correct!

Arch Linux 64-bit
Version: 7.1.0.0.alpha0+
Build ID: 43bdac0ebd65dfc32a0b8cf2c42fde88ad585e3f
CPU threads: 8; OS: Linux 5.7; UI render: default; VCL: kf5
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 15 June 2020
Comment 10 Commit Notification 2020-06-22 13:52:57 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/568db2117af0e0b9b9ee812137ec5dfe321d11f3

tdf#133855: sc: Add UItest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.